Name:		lunzip
Version:	1.1
Release:	1
Summary:	Lossless Data decompressor based on the LZMA Algorithm
Source0:	http://mirrors.zerg.biz/nongnu/%{name}/%{name}-%{version}.tar.gz
Source1:	http://mirrors.zerg.biz/nongnu/%{name}/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
URL:		http://www.nongnu.org/lzip/lunzip.html
Group:		Productivity/Archiving/Compression
License:	GNU General Public License version 3 (GPL v3)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	make, coreutils

%description
Lunzip is a decompressor for lzip files. It is written in C and its
small size makes it well suited for embedded devices or software
installers that need to decompress files but do not need compression
capabilities.

Lunzip replaces every file given in the command line with a decompressed
version of itself. Each decompressed file has the same modification date,
permissions, and, when possible, ownership as the corresponding compressed
file. Lunzip is able to read from some types of non regular files if the
"--stdout" option is specified.

If no file names are specified, lunzip decompresses from standard input to
standard output. In this case, lunzip will decline to read compressed input
from a terminal.

Lunzip will correctly decompress a file which is the concatenation of two
or more compressed files. The result is the concatenation of the corresponding
uncompressed files. Integrity testing of concatenated compressed files is
also supported.

The amount of memory required by lunzip to decompress a file is only a few
tens of KiB larger than the dictionary size used to compress that file. 

Authors:
--------
    Antonio Diaz Diaz <ant_diaz@teleline.es>


%prep
%setup -q
%patch0

# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
export CC="xlc"

./configure \
    --prefix="%{_prefix}" \
    --mandir="%{_mandir}" \
    CC="${CC}" \
    CFLAGS="${CFLAGS}"

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

gmake install DESTDIR=${RPM_BUILD_ROOT} INSTALL=/opt/freeware/bin/install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Tue Apr 03 2012 Michael Perzl <michael@perzl.org> - 1.1-1
- updated to version 1.1

* Wed Jan 19 2011 Michael Perzl <michael@perzl.org> - 1.0-1
- first version for AIX V5.1 and higher
